       INCLUDE 'MISCIOFI.FOR'


       INTEGER * 2 i,err
       CHARACTER * 80 r,t
       CHARACTER c,scancode

       DO i = 1, 80
         r(i:i) = CHAR(32)
       END DO

       PRINT *, 'DO NOT RUN THIS PROGRAM UNLESS YOU ARE RECEIVING'
       PRINT *, 'CHARACTERS OVER THE COM PORT.  ENTER Q <ENTER> to Quit'
       PRINT *, 'INPUT STRING NOT ECHOED UNTIL <ENTER> PRESSED.'
       CALL OPEN_COM(0,9600,0,1,8,0,err)
       DO WHILE (t(1:1) .NE. 'Q')
         i = 1
         c = 'A'
         DO WHILE (c .NE. CHAR(13))
           CALL ReadKey(c,scancode)
           IF (c .NE. CHAR(13)) THEN
             t(i:i) = c
             i = i + 1
           END IF
         END DO
         PRINT *,t
         CALL WRITELN_COM(t,err)
         CALL READLN_COM(r,err)
         PRINT *,r
       END DO

       CALL Close_Com
      END

